﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.IO;
using System.Windows.Forms;

namespace Samples
{
    public class Samples
    {
        public string ErrorMessage { get; private set; }

        public DataSet GetDataSetFromXML(string path)
        {
            DataSet ds = new DataSet();
            FileStream fsReadXml = new FileStream(path, FileMode.Open);
            try
            {
                ds.ReadXml(fsReadXml);
            }
            catch (Exception ex)
            {
                ErrorMessage = ex.Message;
            }
            finally
            {
                fsReadXml.Close();
            }
            return ds;
        }
    }

    public class Dialogs
    {
        public string DefaultExt { get; set; }
        public string FileName { get; set; }
        public string InitialDir { get; set; }
        public string Title { get; set; }
        public string Filter { get; set; }
        public int FilterIndex { get; set; }
        public bool MultiSelect { get; set; }

        public string ShowOpenDialog()
        {
            string fileName = "";
            OpenFileDialog dialog = new OpenFileDialog();
            dialog.FileName = FileName;
            dialog.DefaultExt = DefaultExt;
            dialog.InitialDirectory = InitialDir;
            dialog.Title = Title;
            dialog.Filter = Filter;
            dialog.FilterIndex = FilterIndex;
            dialog.Multiselect = MultiSelect;

            if (dialog.ShowDialog() == DialogResult.OK)
            {
                if (dialog.FileNames.Length > 0)
                {
                    foreach (string file in dialog.FileNames)
                    {
                        fileName += file + "\n";
                    }
                }
                else
                {
                    fileName = dialog.FileName;
                }
            }
            else
            {
                fileName = "";
            }
            return fileName;
        }

        public string ShowSaveDialog()
        {
            string fileName;
            SaveFileDialog dialog = new SaveFileDialog();
            dialog.FileName = FileName;
            dialog.DefaultExt = DefaultExt;
            dialog.InitialDirectory = InitialDir;
            dialog.Title = Title;
            dialog.Filter = Filter;
            dialog.FilterIndex = FilterIndex;

            if (dialog.ShowDialog() == DialogResult.OK)
                fileName = dialog.FileName;
            else
                fileName = "";
            return fileName;
        }
    }
}
