* Uncomment this line to use the COM version of the class.

*loClass = createobject('InteropSample.Class1')

* Uncomment these lines to use wwDotNetBridge instead of COM.

loBridge = newobject('wwDotNetBridge', 'wwDotNetBridge.prg', '', 'V4')
loBridge.LoadAssembly('InteropSample.dll')
	&& error if the DLL isn't in the path
if loBridge.lError
	messagebox(loBridge.cErrorMsg)
endif loBridge.lError
loBridge.LoadAssembly('InteropSample\InteropSample\bin\Debug\InteropSample.dll')
loClass = loBridge.CreateInstance('InteropSample.Class1')

* Add three people, get Tamar's record, and display the results.

loClass.AddPerson('Doug', 'Hennig')
loClass.AddPerson('Rick', 'Schummer')
loClass.AddPerson('Tamar', 'Granor')
loPerson = loClass.GetPerson('Granor')
messagebox(loPerson.FirstName + ' ' + loPerson.LastName)

* See how many people there are and get the second person (remember: 0-based).
* These statements give errors in both COM and wwDotNetBridge because we can't
* access the generic List<Person> People from VFP.

messagebox(loClass.People.Count)
loSecond = loClass.People[1]
messagebox(loSecond.FirstName + ' ' + loSecond.LastName)

* Use wwDotNetBridge to do the job.

loPeople = loBridge.GetPropertyEx(loClass, 'People')
messagebox('There are ' + ;
	transform(loBridge.GetPropertyEx(loPeople, 'Count')) + ' people')
loSecond = loBridge.GetPropertyEx(loClass, 'People[1]')
messagebox('The second person is ' + loSecond.FirstName + ' ' + ;
	loSecond.LastName)

* Here's another way to access People: convert it to an array.

loPeople = loBridge.CreateArray()
loPeople.FromEnumerable(loClass.People)
lcPeople = ''
for lnI = 0 to loPeople.Count - 1
	loPerson = loPeople.Item[lnI]
	lcPeople = lcPeople + loPerson.FirstName + ' ' + loPerson.LastName + ;
		chr(13)
next lnI
messagebox(lcPeople)

* Call a static method to determine if we're connected to a network.

messagebox(loBridge.InvokeStaticMethod( ;
	'System.Net.NetworkInformation.NetworkInterface', 'GetIsNetworkAvailable'))
