local loBridge, ;
	lcSource, ;
	lcLogType, ;
	lcClass, ;
	loValue

* Create the wwDotNetBridge object.

loBridge = newobject('wwDotNetBridge', 'wwDotNetBridge.prg', '', 'V4')

* Define the source and log types.

lcSource  = 'MyApplication'
lcLogType = 'Application'

* Put the name of the .NET class we'll use into a variable so we don't have to
* type it on every method call.

lcClass = 'System.Diagnostics.EventLog'

* See if the source already exists; create it if not.

if not loBridge.InvokeStaticMethod(lcClass, 'SourceExists', lcSource)
	loBridge.InvokeStaticMethod(lcClass, 'CreateEventSource', lcSource, ;
		lcLogType)
endif not loBridge.InvokeStaticMethod ...

* Create an information message.

loBridge.InvokeStaticMethod(lcClass, 'WriteEntry', lcSource, ;
	'Some application event that I want to log')

* For an error message, we need to use an enum. Normally we'd use this:

*loValue = loBridge.GetEnumValue('System.Diagnostics.EventLogEntryType.Error')

* However, that doesn't work in this case due to the way WriteEntry works, so
* we'll use this method instead.

loValue = loBridge.CreateComValue()
loValue.SetEnum('System.Diagnostics.EventLogEntryType.Error')
loBridge.InvokeStaticMethod(lcClass, 'WriteEntry', lcSource, ;
	'Error #1234 occurred', loValue, 4)
	&& 4 is a user-defined event ID

* Display the last 10 logged events.

loEventLog        = loBridge.CreateInstance(lcClass)
loEventLog.Source = lcSource
loEventLog.Log    = lcLogType
loEvents          = loBridge.GetProperty(loEventLog, 'Entries')
lcEvents          = ''
for lnI = loEvents.Count - 1 to loEvents.Count - 10 step -1
	loEvent  = loEvents.Item(lnI)
	lcEvents = lcEvents + transform(lnI) + ': ' + loEvent.Message + chr(13)
next lnI
messagebox('There are ' + transform(loEvents.Count) + ' events:' + ;
	chr(13) + chr(13) + lcEvents)
